Distribution:	CCux
Packager:  	Karsten Brockmann <brockmka@rz.fh-augsburg.de>
Summary:   	libpcap - packet capture library
Name:      	libpcap
Version:   	1.1.1
Release:   	1
Provides:	libpcap
License: 	GNU/GPL
URL:		http://www.tcpdump.org
Group:     	Networking/Other
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

BuildRequires: flex-devel
BuildRequires: bison
BuildRequires: bluez-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libnl-devel

%description
The Packet Capture library provides a high level interface to packet capture systems. All packets on the network, even those destined for other hosts, are accessible through this mechanism.


%package devel
Summary:        Development files for libpcap
Group:          Networking/Other
Requires:       libpcap = %{version}-%{release}

%description devel
Header files for developing applications using libpcap


%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}


%build
./configure --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir} --sysconfdir=%{_sysconfdir} --enable-bluetooth --enable-can
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/libpcap.so.*
%{_mandir}/man1/pcap-config.1.gz
%{_mandir}/man5/pcap-savefile.5.gz
%{_mandir}/man7/pcap-filter.7.gz
%{_mandir}/man7/pcap-linktype.7.gz

%files devel
%defattr(-,root,root)
%{_bindir}/pcap-config
%{_includedir}/pcap/bluetooth.h
%{_includedir}/pcap-bpf.h
%{_includedir}/pcap/bpf.h
%{_includedir}/pcap.h
%{_includedir}/pcap/ipnet.h
%{_includedir}/pcap-namedb.h
%{_includedir}/pcap/namedb.h
%{_includedir}/pcap/pcap.h
%{_includedir}/pcap/sll.h
%{_includedir}/pcap/usb.h
%{_includedir}/pcap/vlan.h
%{_libdir}/libpcap.a
%{_libdir}/libpcap.so
%{_mandir}/man3/pcap.3pcap.gz
%{_mandir}/man3/pcap_activate.3pcap.gz
%{_mandir}/man3/pcap_breakloop.3pcap.gz
%{_mandir}/man3/pcap_can_set_rfmon.3pcap.gz
%{_mandir}/man3/pcap_close.3pcap.gz
%{_mandir}/man3/pcap_compile.3pcap.gz
%{_mandir}/man3/pcap_create.3pcap.gz
%{_mandir}/man3/pcap_datalink.3pcap.gz
%{_mandir}/man3/pcap_datalink_name_to_val.3pcap.gz
%{_mandir}/man3/pcap_datalink_val_to_description.3pcap.gz
%{_mandir}/man3/pcap_datalink_val_to_name.3pcap.gz
%{_mandir}/man3/pcap_dispatch.3pcap.gz
%{_mandir}/man3/pcap_dump.3pcap.gz
%{_mandir}/man3/pcap_dump_close.3pcap.gz
%{_mandir}/man3/pcap_dump_file.3pcap.gz
%{_mandir}/man3/pcap_dump_flush.3pcap.gz
%{_mandir}/man3/pcap_dump_fopen.3pcap.gz
%{_mandir}/man3/pcap_dump_ftell.3pcap.gz
%{_mandir}/man3/pcap_dump_open.3pcap.gz
%{_mandir}/man3/pcap_file.3pcap.gz
%{_mandir}/man3/pcap_fileno.3pcap.gz
%{_mandir}/man3/pcap_findalldevs.3pcap.gz
%{_mandir}/man3/pcap_fopen_offline.3pcap.gz
%{_mandir}/man3/pcap_freealldevs.3pcap.gz
%{_mandir}/man3/pcap_freecode.3pcap.gz
%{_mandir}/man3/pcap_free_datalinks.3pcap.gz
%{_mandir}/man3/pcap_geterr.3pcap.gz
%{_mandir}/man3/pcap_getnonblock.3pcap.gz
%{_mandir}/man3/pcap_get_selectable_fd.3pcap.gz
%{_mandir}/man3/pcap_inject.3pcap.gz
%{_mandir}/man3/pcap_is_swapped.3pcap.gz
%{_mandir}/man3/pcap_lib_version.3pcap.gz
%{_mandir}/man3/pcap_list_datalinks.3pcap.gz
%{_mandir}/man3/pcap_lookupdev.3pcap.gz
%{_mandir}/man3/pcap_lookupnet.3pcap.gz
%{_mandir}/man3/pcap_loop.3pcap.gz
%{_mandir}/man3/pcap_major_version.3pcap.gz
%{_mandir}/man3/pcap_minor_version.3pcap.gz
%{_mandir}/man3/pcap_next.3pcap.gz
%{_mandir}/man3/pcap_next_ex.3pcap.gz
%{_mandir}/man3/pcap_offline_filter.3pcap.gz
%{_mandir}/man3/pcap_open_dead.3pcap.gz
%{_mandir}/man3/pcap_open_live.3pcap.gz
%{_mandir}/man3/pcap_open_offline.3pcap.gz
%{_mandir}/man3/pcap_perror.3pcap.gz
%{_mandir}/man3/pcap_sendpacket.3pcap.gz
%{_mandir}/man3/pcap_set_buffer_size.3pcap.gz
%{_mandir}/man3/pcap_set_datalink.3pcap.gz
%{_mandir}/man3/pcap_setdirection.3pcap.gz
%{_mandir}/man3/pcap_setfilter.3pcap.gz
%{_mandir}/man3/pcap_setnonblock.3pcap.gz
%{_mandir}/man3/pcap_set_promisc.3pcap.gz
%{_mandir}/man3/pcap_set_rfmon.3pcap.gz
%{_mandir}/man3/pcap_set_snaplen.3pcap.gz
%{_mandir}/man3/pcap_set_timeout.3pcap.gz
%{_mandir}/man3/pcap_snapshot.3pcap.gz
%{_mandir}/man3/pcap_stats.3pcap.gz
%{_mandir}/man3/pcap_statustostr.3pcap.gz
%{_mandir}/man3/pcap_strerror.3pcap.gz
%{_mandir}/man5/pcap-savefile.5.gz


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.1-1
- Version Update
* Mon Feb 02 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-1
- Version Update
* Sun Oct 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.8-1
- Version Update
* Sun Jul 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.6-1
- Version Update
* Sat Dec 31 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.9.4-1
- Version Update
* Sat Sep 17 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.9.3-1
- rebuilt SRPM, version update to 0.9.3
